regina::boost Namespace Reference

Miscellaneous utility classes taken or modified from the Boost C++ libraries. More...

## Classes

struct | remove_pointer
| A template class used to remove the indirection from a pointer type. More...
class | reference_wrapper
| A wrapper allowing references to be passed through generic functions. More...
class | noncopyable
| A base class that guarantees that derived classes cannot be copied. More...

## Functions

template<class T >
reference_wrapper< T > const | ref (T &t)
| Returns a wrapper for the given reference. More...
template<class T >
reference_wrapper< T const > const | cref (T const &t)
| Returns a wrapper for the given const reference. More...
template<class T >
T | prior (T it)
| Returns the iterator prior to the given iterator. More...
template<class T >
T | next (T it)
| Returns the iterator following the given iterator. More...

## Detailed Description

Miscellaneous utility classes taken or modified from the Boost C++ libraries.

See the boostutils.h file documentation for Boost license details.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).